From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-themes/gnome-themes-standard/
Date: Sun, 15 Nov 2015 14:23:27 +0000 (UTC) [thread overview]
Message-ID: <1447597273.1a476ffe32d99e6d6828f74070714377ece4bb5f.pacho@gentoo> (raw)
commit: 1a476ffe32d99e6d6828f74070714377ece4bb5f
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 14:18:26 2015 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 14:21:13 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a476ffe
x11-themes/gnome-themes-standard: Version bump
Package-Manager: portage-2.2.24
x11-themes/gnome-themes-standard/Manifest | 1 +
.../gnome-themes-standard-3.18.0.ebuild | 85 ++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/x11-themes/gnome-themes-standard/Manifest b/x11-themes/gnome-themes-standard/Manifest
index cc88e85..92b8750 100644
--- a/x11-themes/gnome-themes-standard/Manifest
+++ b/x11-themes/gnome-themes-standard/Manifest
@@ -1,2 +1,3 @@
DIST gnome-themes-standard-3.14.2.3.tar.xz 2884424 SHA256 d82a1cf90be3397deadea46d3ba396a46943c7e141ebc70cf833956b5794e479 SHA512 4d106b86be9cac33f641f346eaa7b8213c9725a7dc19b1192c13fb0feda4e8a62b31f0aa73d80bdd20adfa3be56d378c178b7bff8173b24b1c957d15e76b346a WHIRLPOOL 74d6fc47bd0a5a47b4028efc114a6b50211f6fa226e5057e5cfa4f863676af83f2581cfb71b7c69c4e1b4e489eee76c979472b5c2b03cdcc193f5ae794e686ba
DIST gnome-themes-standard-3.16.2.tar.xz 2866556 SHA256 59eb79a59d44b5cd8daa8de1e7559fb5186503dcd78e47d0b72cb896d8654b9f SHA512 483e63e1f01d6a0c26a07def12f19d59406a2f89202db599876cff8542215b4d5eb8a054805eb16a4e027c76399f4bb498ed326e136ecf482c71f5a0b8cb5556 WHIRLPOOL ce585f3f17220538bbea025c201b3939a69b3dfba4186fc6312c63ea4e290a3dbfd526f93f0f3396e92b2e57908a936c442278a7a5323c0c0c0c571337a2caf8
+DIST gnome-themes-standard-3.18.0.tar.xz 2866336 SHA256 e646eb04c225282b7df7fff65741adaad4cf9ed2c12616b7310e7edd27d2bacb SHA512 67f0c674dd673a578093248fddb4637bd4f06f9f2eee9b5cd68218ea46790b76105a76e8c35e900170f4f76fd1b0eea4f48845c8414e3a71caa297f1c1c94d98 WHIRLPOOL 5aa52fdd333d5d6a833b78ff3e6d67a43a4459152a88d0d1734712c3b04070f8584175a1443dbe1983aa8f97e6bbb82285de3d52b700145ffb8fd0ff16bc37b1
diff --git a/x11-themes/gnome-themes-standard/gnome-themes-standard-3.18.0.ebuild b/x11-themes/gnome-themes-standard/gnome-themes-standard-3.18.0.ebuild
new file mode 100644
index 0000000..246bba3
--- /dev/null
+++ b/x11-themes/gnome-themes-standard/gnome-themes-standard-3.18.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 multilib-minimal
+
+DESCRIPTION="Standard Themes for GNOME Applications"
+HOMEPAGE="https://git.gnome.org/browse/gnome-themes-standard/"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+gtk"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~x64-solaris ~x86-solaris"
+
+COMMON_DEPEND="
+ gnome-base/librsvg:2[${MULTILIB_USEDEP}]
+ x11-libs/cairo[${MULTILIB_USEDEP}]
+ gtk? (
+ >=x11-libs/gtk+-2.24.15:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-3.12:3[${MULTILIB_USEDEP}] )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+# gnome-themes{,-extras} are OBSOLETE for GNOME 3
+# http://comments.gmane.org/gmane.comp.gnome.desktop/44130
+# Depend on gsettings-desktop-schemas-3.4 to make sure 3.2 users don't lose
+# their default background image
+RDEPEND="${COMMON_DEPEND}
+ >=gnome-base/gsettings-desktop-schemas-3.4
+ !<x11-themes/gnome-themes-2.32.1-r1
+"
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=746920
+ epatch "${FILESDIR}/${PN}-3.14.2.3-srcdir.patch"
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ # The icon cache needs to be generated in pkg_postinst()
+ ECONF_SOURCE="${S}" \
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable gtk gtk2-engine) \
+ $(use_enable gtk gtk3-engine) \
+ GTK_UPDATE_ICON_CACHE=$(type -P true)
+}
+
+emake_engines_only() {
+ pushd themes/Adwaita/gtk-2.0 > /dev/null || die
+ if [[ $1 = install ]]; then
+ emake DESTDIR="${D}" install-engineLTLIBRARIES
+ else
+ emake libadwaita.la
+ fi
+ popd > /dev/null
+}
+
+multilib_src_compile() {
+ # processing >3500 icons is slow on old hard drives, do it only for native ABI
+ if multilib_is_native_abi; then
+ gnome2_src_compile
+ elif use gtk; then
+ emake_engines_only
+ fi
+}
+
+multilib_src_install() {
+ # processing >3500 icons is slow on old hard drives, do it only for native ABI
+ if multilib_is_native_abi; then
+ gnome2_src_install
+ elif use gtk; then
+ emake_engines_only install
+ prune_libtool_files --modules
+ fi
+}
next reply other threads:[~2015-11-15 14:24 UTC|newest]
Thread overview: 57+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-11-15 14:23 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-08 13:44 [gentoo-commits] repo/gentoo:master commit in: x11-themes/gnome-themes-standard/ David Seifert
2022-10-31 20:31 Matt Turner
2022-05-17 8:37 WANG Xuerui
2021-05-19 9:23 Yixun Lan
2021-04-05 22:19 Sam James
2020-12-18 22:05 Matt Turner
2020-01-11 20:11 Mart Raudsepp
2019-07-13 12:08 Sergei Trofimovich
2019-07-03 7:11 Agostino Sarubbo
2019-06-27 12:35 Agostino Sarubbo
2019-06-17 19:40 Sergei Trofimovich
2019-06-17 10:07 Mikle Kolyada
2019-05-23 13:02 Mikle Kolyada
2019-05-10 17:49 Mikle Kolyada
2019-05-10 17:33 Mikle Kolyada
2019-05-09 20:04 Aaron Bauman
2019-05-08 9:33 Mikle Kolyada
2019-03-05 18:43 Mart Raudsepp
2019-02-12 11:10 Mart Raudsepp
2018-12-31 10:06 Mikle Kolyada
2018-12-29 12:41 Gilles Dartiguelongue
2017-07-07 10:12 Agostino Sarubbo
2017-06-12 10:07 Mart Raudsepp
2017-04-22 17:53 Tobias Klausmann
2017-04-12 10:10 Jeroen Roovers
2017-04-01 16:31 Agostino Sarubbo
2017-04-01 13:16 Agostino Sarubbo
2017-03-29 7:45 Michael Weber
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2017-03-23 5:47 Mart Raudsepp
2017-03-16 13:24 Jeroen Roovers
2017-02-24 21:29 Michael Weber
2017-02-24 14:07 Agostino Sarubbo
2017-02-21 9:16 Tobias Klausmann
2017-02-18 14:44 Agostino Sarubbo
2017-02-17 10:56 Agostino Sarubbo
2017-02-11 18:31 Pacho Ramos
2017-01-26 10:56 Mart Raudsepp
2017-01-16 23:34 Jeroen Roovers
2017-01-16 23:32 Jeroen Roovers
2016-12-06 20:56 Markus Meier
2016-06-27 14:21 Alexandre Rostovtsev
2016-05-03 20:32 Markus Meier
2016-04-07 10:17 Jeroen Roovers
2016-03-06 17:23 Mikle Kolyada
2015-11-26 10:51 Gilles Dartiguelongue
2015-11-16 14:08 Agostino Sarubbo
2015-11-15 14:23 Pacho Ramos
2015-11-12 11:07 Agostino Sarubbo
2015-10-18 11:29 Mikle Kolyada
2015-10-03 8:47 Markus Meier
2015-09-28 4:44 Jeroen Roovers
2015-09-16 8:43 Tobias Klausmann
2015-09-12 9:11 Agostino Sarubbo
2015-09-07 19:58 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1447597273.1a476ffe32d99e6d6828f74070714377ece4bb5f.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox